Page MenuHome

Blender 2.79 crashes every single time after win 10 home fresh install
Closed, InvalidPublic

Description

System Information
Operating system: win 10 home
Graphics card: NVidia 960m

Blender Version
Broken:
(example: 2.79 Hash: 49e3f08815af according to splash screen)

Working: 2.8

Every time I launch 2.79 on my system it crashes. On the same computer 2.8 runs perfectly.
What's more before windows reinstallation everything was perfectly fine, no crashes at all.
Please help me fix this problem. Even messing with audio options, or even changing them in windows system options didn't help. Turning off audio options in blender didn't help either.
When I tried to start 2.78, it won't even start.

Help me please!
Here is windows console:

c:\Program Files\Blender Foundation\Blender>blender.2.79.exe -d
Switching to fully guarded memory allocator.
Blender 2.79 (sub 6)
Build: 09/01/2019 08:47 Windows Release
argv[0] = blender.2.79.exe
argv[1] = -d
read file C:\Users\frydz\AppData\Roaming\Blender Foundation\Blender\2.79\config\userpref.blend
  Version 279 sub 6 date 2019-01-09 16:18 hash 49e3f08815af
Read prefs: C:\Users\frydz\AppData\Roaming\Blender Foundation\Blender\2.79\config\userpref.blend
read file C:\Users\frydz\AppData\Roaming\Blender Foundation\Blender\2.79\config\startup.blend
  Version 279 sub 6 date 2018-11-29 22:43 hash a8b8da55672

ordered
found bundled python: c:\Program Files\Blender Foundation\Blender\2.79\python
Cycles OpenCL: driver crashed, continuing without OpenCL.
AL lib: (EE) UpdateDeviceParams: Failed to set 44100hz, got 48000hz instead
Error   : EXCEPTION_ACCESS_VIOLATION
Address : 0x00007FFA2AFC9EF0

System info:

A===========================================
= Blender 2.79 (sub 6) System Information =
===========================================


Blender:
===========================================

version: 2.79 (sub 6), branch: blender2.7, commit date: 2019-01-09 16:18, hash: 49e3f08815af, type: Release
build date: 09/01/2019, 08:47
platform: Windows
binary path: 'c:\\Program Files\\Blender Foundation\\Blender\\blender.2.79.exe'
build cflags: /W3 /w34062 /wd4018 /wd4146 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /wd4828 /wd4996 /we4013 /we4133 /we4431 /w35038 /DWIN32 /D_WINDOWS /W3 /nologo /J /Gd /MP -openmp     
build cxxflags: /W3 /w34062 /wd4018 /wd4146 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /wd4828 /wd4996 /we4013 /we4133 /we4431 /w35038 /DWIN32 /D_WINDOWS /W3 /GR /EHsc /nologo /J /Gd /MP /EHsc -openmp     
build linkflags: /MACHINE:X64  /SUBSYSTEM:CONSOLE /STACK:2097152 /INCREMENTAL:NO  /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib  /ignore:4049 /ignore:4217 /ignore:4221
build system: CMake

Python:
===========================================

version: 3.7.0 (default, Aug 26 2018, 16:05:01) [MSC v.1900 64 bit (AMD64)]
paths:
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\addons_contrib'
	'C:\\Users\\frydz\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\addons'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\startup'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\modules'
	'c:\\Program Files\\Blender Foundation\\Blender\\python37.zip'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\python\\DLLs'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\python\\lib'
	'c:\\Program Files\\Blender Foundation\\Blender'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\python'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\python\\lib\\site-packages'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\freestyle\\modules'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\modules'
	'C:\\Users\\frydz\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\modules'

Python (External Binary):
===========================================

binary path: 'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\python\\bin\\python.EXE'
version: Python 3.7.0

Directories:
===========================================

scripts:
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\modules'
	'c:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts'
	'C:\\Users\\frydz\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts'
user scripts: 'C:\\Users\\frydz\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts'
pref scripts: None
datafiles: 'C:\\Users\\frydz\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\datafiles\\'
config: 'C:\\Users\\frydz\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\config\\'
scripts : 'C:\\Users\\frydz\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\'
autosave: 'C:\\Users\\frydz\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\autosave\\'
tempdir: 'C:\\Users\\frydz\\AppData\\Local\\Temp\\blender_a13040\\'

FFmpeg:
===========================================

avcodec:   '58, 18, 100'
avdevice:  '58,  3, 100'
avformat:  '58, 12, 100'
avutil:    '56, 14, 100'
swscale:   ' 5,  1, 100'

SDL:
===========================================

Version: 2.0.8
Loading method: linked (WITH_SDL_DYNLOAD=OFF)

Other Libraries:
===========================================

OpenColorIO:  1,  1,  0
OpenImageIO:  1,  8, 13
OpenShadingLanguage:  1,  9,  9
OpenSubdiv:  3,  3,  3
OpenVDB:  5,  1,  0
Alembic:  1,  7,  8

OpenGL:
===========================================

renderer:	'GeForce GTX 960M/PCIe/SSE2'
vendor:		'NVIDIA Corporation'
version:	'4.6.0 NVIDIA 417.35'
extensions:
	GL_AMD_multi_draw_indirect
	GL_AMD_seamless_cubemap_per_texture
	GL_ARB_ES2_compatibility
	GL_ARB_ES3_1_compatibility
	GL_ARB_ES3_2_compatibility
	GL_ARB_ES3_compatibility
	GL_ARB_arrays_of_arrays
	GL_ARB_base_instance
	GL_ARB_bindless_texture
	GL_ARB_blend_func_extended
	GL_ARB_buffer_storage
	GL_ARB_clear_buffer_object
	GL_ARB_clear_texture
	GL_ARB_clip_control
	GL_ARB_color_buffer_float
	GL_ARB_compatibility
	GL_ARB_compressed_texture_pixel_storage
	GL_ARB_compute_shader
	GL_ARB_compute_variable_group_size
	GL_ARB_conditional_render_inverted
	GL_ARB_conservative_depth
	GL_ARB_copy_buffer
	GL_ARB_copy_image
	GL_ARB_cull_distance
	GL_ARB_debug_output
	GL_ARB_depth_buffer_float
	GL_ARB_depth_clamp
	GL_ARB_depth_texture
	GL_ARB_derivative_control
	GL_ARB_direct_state_access
	GL_ARB_draw_buffers
	GL_ARB_draw_buffers_blend
	GL_ARB_draw_elements_base_vertex
	GL_ARB_draw_indirect
	GL_ARB_draw_instanced
	GL_ARB_enhanced_layouts
	GL_ARB_explicit_attrib_location
	GL_ARB_explicit_uniform_location
	GL_ARB_fragment_coord_conventions
	GL_ARB_fragment_layer_viewport
	GL_ARB_fragment_program
	GL_ARB_fragment_program_shadow
	GL_ARB_fragment_shader
	GL_ARB_framebuffer_no_attachments
	GL_ARB_framebuffer_object
	GL_ARB_framebuffer_sRGB
	GL_ARB_geometry_shader4
	GL_ARB_get_program_binary
	GL_ARB_get_texture_sub_image
	GL_ARB_gl_spirv
	GL_ARB_gpu_shader5
	GL_ARB_gpu_shader_fp64
	GL_ARB_gpu_shader_int64
	GL_ARB_half_float_pixel
	GL_ARB_half_float_vertex
	GL_ARB_imaging
	GL_ARB_indirect_parameters
	GL_ARB_instanced_arrays
	GL_ARB_internalformat_query
	GL_ARB_internalformat_query2
	GL_ARB_invalidate_subdata
	GL_ARB_map_buffer_alignment
	GL_ARB_map_buffer_range
	GL_ARB_multi_bind
	GL_ARB_multi_draw_indirect
	GL_ARB_multisample
	GL_ARB_multitexture
	GL_ARB_occlusion_query
	GL_ARB_occlusion_query2
	GL_ARB_parallel_shader_compile
	GL_ARB_pipeline_statistics_query
	GL_ARB_pixel_buffer_object
	GL_ARB_point_parameters
	GL_ARB_point_sprite
	GL_ARB_polygon_offset_clamp
	GL_ARB_program_interface_query
	GL_ARB_provoking_vertex
	GL_ARB_query_buffer_object
	GL_ARB_robust_buffer_access_behavior
	GL_ARB_robustness
	GL_ARB_sample_shading
	GL_ARB_sampler_objects
	GL_ARB_seamless_cube_map
	GL_ARB_seamless_cubemap_per_texture
	GL_ARB_separate_shader_objects
	GL_ARB_shader_atomic_counter_ops
	GL_ARB_shader_atomic_counters
	GL_ARB_shader_ballot
	GL_ARB_shader_bit_encoding
	GL_ARB_shader_clock
	GL_ARB_shader_draw_parameters
	GL_ARB_shader_group_vote
	GL_ARB_shader_image_load_store
	GL_ARB_shader_image_size
	GL_ARB_shader_objects
	GL_ARB_shader_precision
	GL_ARB_shader_storage_buffer_object
	GL_ARB_shader_subroutine
	GL_ARB_shader_texture_image_samples
	GL_ARB_shader_texture_lod
	GL_ARB_shading_language_100
	GL_ARB_shading_language_420pack
	GL_ARB_shading_language_include
	GL_ARB_shading_language_packing
	GL_ARB_shadow
	GL_ARB_sparse_buffer
	GL_ARB_sparse_texture
	GL_ARB_spirv_extensions
	GL_ARB_stencil_texturing
	GL_ARB_sync
	GL_ARB_tessellation_shader
	GL_ARB_texture_barrier
	GL_ARB_texture_border_clamp
	GL_ARB_texture_buffer_object
	GL_ARB_texture_buffer_object_rgb32
	GL_ARB_texture_buffer_range
	GL_ARB_texture_compression
	GL_ARB_texture_compression_bptc
	GL_ARB_texture_compression_rgtc
	GL_ARB_texture_cube_map
	GL_ARB_texture_cube_map_array
	GL_ARB_texture_env_add
	GL_ARB_texture_env_combine
	GL_ARB_texture_env_crossbar
	GL_ARB_texture_env_dot3
	GL_ARB_texture_filter_anisotropic
	GL_ARB_texture_float
	GL_ARB_texture_gather
	GL_ARB_texture_mirror_clamp_to_edge
	GL_ARB_texture_mirrored_repeat
	GL_ARB_texture_multisample
	GL_ARB_texture_non_power_of_two
	GL_ARB_texture_query_levels
	GL_ARB_texture_query_lod
	GL_ARB_texture_rectangle
	GL_ARB_texture_rg
	GL_ARB_texture_rgb10_a2ui
	GL_ARB_texture_stencil8
	GL_ARB_texture_storage
	GL_ARB_texture_storage_multisample
	GL_ARB_texture_swizzle
	GL_ARB_texture_view
	GL_ARB_timer_query
	GL_ARB_transform_feedback2
	GL_ARB_transform_feedback3
	GL_ARB_transform_feedback_instanced
	GL_ARB_transform_feedback_overflow_query

I am 100% sure problem is with my system, not blender. It did run before system reinstallation.
So please tell me what can I do to fix it :(

Details

Type
Bug

Event Timeline

I don't really get it. Suddenly, with no reason whatsoever it started to work fine. I didn't do anything! It's magic.

The only thing I did is installing Unreal Engine. Maybe there are some common features needed for both? In this case why before installation Blender 2.79 didn't work, but 2.8 did?
I don't get it.

Peter (ALittleDeafAudiophile) reopened this task as Open.EditedJan 12 2019, 10:41 AM

Nope, still not resolved. It is stable while using blender internal renderer. Crashes on cycles :( HELP!

Edit:
Now even on BI. I don't understand :(

You may have electrical issues or bad RAM. Try running a full memtest. I had similar random issues/freeze or crashes and it was due to some defective RAM.

As you said, this is a problem with your computer, not blender.